summaryrefslogtreecommitdiff
path: root/benchmarks/boehm-gc/patches/01-gc-include-private-gcconfig-h.patch
diff options
context:
space:
mode:
Diffstat (limited to 'benchmarks/boehm-gc/patches/01-gc-include-private-gcconfig-h.patch')
-rw-r--r--benchmarks/boehm-gc/patches/01-gc-include-private-gcconfig-h.patch17
1 files changed, 17 insertions, 0 deletions
diff --git a/benchmarks/boehm-gc/patches/01-gc-include-private-gcconfig-h.patch b/benchmarks/boehm-gc/patches/01-gc-include-private-gcconfig-h.patch
new file mode 100644
index 0000000..9772e59
--- /dev/null
+++ b/benchmarks/boehm-gc/patches/01-gc-include-private-gcconfig-h.patch
@@ -0,0 +1,17 @@
+#! /bin/sh
+patch -p1 -f $* < $0
+exit $?
+
+Tweak the configuration.
+
+--- gc/include/private/gcconfig.h~ 2007-06-29 02:00:09.000000000 +0200
++++ gc/include/private/gcconfig.h 2008-02-21 17:08:20.000000000 +0100
+@@ -1275,7 +1275,7 @@
+ extern int _end[];
+ # define DATAEND ((ptr_t) (_end))
+ /* # define MPROTECT_VDB Not quite working yet? */
+-# define DYNAMIC_LOADING
++# undef DYNAMIC_LOADING
+ # endif
+ # ifdef DARWIN
+ # define OS_TYPE "DARWIN"